# Packmangroup: Libraries
# Packmanpackagename: libXvMCW
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>A Wrapper for XvMC libraries that allows the X server or user to specify the hardware dependent library at run-time.</p>
# Packmanpackagedesc_de: <p>Ein Wrapper f&uuml;r XvMC Bibliotheken, welche es dem X-Server oder dem Benutzer erlaubt, auf die Hardwareabh&auml;ngigen Bibliotheken zuzugreifen.</p>

%define name    libXvMCW
%define ver     0.9.3
%define rel     0.pm.0

Name:           %{name}
Summary:        A Wrapper for run-time loading of XvMC libraries
Summary(de):    Ein Wrapper zum laden XvMC Bibliotheken zur Laufzeit
Version:        %{ver}
Release:        %{rel}
Copyright:      MIT-Style
Group:          System/X11/Utilities
Url:            http://sourceforge.net/projects/unichrome/

Source0:        libXvMCW-0.9.3.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.2 (i586)
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A Wrapper for XvMC libraries that allows the X server or
user to specify the hardware dependent library at run-time.

%description -l de
Ein Wrapper für XvMC Bibliotheken, welche es dem X-Server oder
dem Benutzer erlaubt, auf die Hardwareabhängigen Bibliotheken
zuzugreifen.

%prep
%setup -q
%configure

%build
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/%{_lib}/libXvMCW.*
/etc/X11/XvMCConfig
/usr/X11R6/include/X11/extensions/vldXvMC.h

%changelog
* Tue Nov 30 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
